Results
Authorizations
AuthorizationstringRequired
Path parameters
orderItemIDinteger · min: 1Required
Order Item ID
Query parameters
test_taker_idinteger · min: 1Required
Test Taker ID
Responses
200
Successfully generated download URL
application/json
Response containing a presigned URL to download test results
download_urlstringOptionalExample:
https://storage.googleapis.com/bucket/results/123.json?signature=abc123expires_atstringOptionalExample:
2025-10-23T18:00:00Zformatstring · enumOptionalExample:
jsonPossible values: 400
Invalid or missing order item ID
application/json
401
Unauthorized - invalid client credentials
application/json
404
Results not found for this order item
application/json
500
Internal server error
application/json
get
/api/v1/results/{orderItemID}Authorizations
AuthorizationstringRequired
Path parameters
orderItemIDinteger · min: 1Required
Order Item ID
Query parameters
test_taker_idinteger · min: 1Required
Test Taker ID
Responses
200
Results acknowledged successfully
application/json
Confirmation that results were acknowledged
statusstringOptionalExample:
acknowledged400
Invalid order item ID
application/json
401
Unauthorized - invalid credentials
application/json
404
Order item not found
application/json
500
Internal server error
application/json
post
/results/{orderItemID}/acknowledgeLast updated
Was this helpful?